<#ibiztemplate>
CONTAINER=GRIDCOLUMN
</#ibiztemplate>
<#if item.getPSCodeList()??>
<#assign codelist = item.getPSCodeList()>
<#if codelist.getCodeListType() == 'STATIC'>
<ibiz-grid-select-editor :grid="${ctrl.name}" :name="'${item.getDataItemName()?lower_case}'" :data="scope.row" :disabled="${ctrl.name}.state[scope.row.srfkey].${item.getDataItemName()?lower_case}.disabled" :placeHolder="'<#if item.getPlaceHolder()??>${item.getPlaceHolder()}<#else>请选择</#if>'" :itemvalue="scope.row.${item.getDataItemName()?lower_case}" :codelisttype="'${codelist.getCodeListType()}'" :codelist="viewController.codelists['${srfparamname('${sys.codeName}')}_${codelist.codeName}'].data" :style="${ctrl.name}.state[scope.row.srfkey].${item.getDataItemName()?lower_case}.styleCss"></ibiz-grid-select-editor>
<#elseif codelist.getCodeListType() == 'DYNAMIC'>
<ibiz-grid-select-editor :grid="${ctrl.name}" :name="'${item.getValueItemName()?lower_case}'" :data="scope.row" :disabled="${ctrl.name}.state[scope.row.srfkey].${item.getValueItemName()?lower_case}.disabled" :placeHolder="'<#if item.getPlaceHolder()??>${item.getPlaceHolder()}<#else>请选择</#if>'" :itemvalue="scope.row.${item.getValueItemName()?lower_case}" :text="'${item.getDataItemName()?lower_case}'" :codelisttype="'${codelist.getCodeListType()}'" :url="'/${app.getAppFolder()}/${view.getPSAppModule().codeName}/${view.codeName}.do?SRFCTRLID=${ctrl.name}&SRFFORMITEMID=${item.getValueItemName()?lower_case}&srfaction=itemfetch'" :style="${ctrl.name}.state[scope.row.srfkey].${item.getValueItemName()?lower_case}.styleCss"></ibiz-grid-select-editor>
</#if>
</#if>